import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int m = inf.nextInt();
        m = inf.nextInt(); // I need second number so it's good way to take it
        for (int i = 0; i < m; i++) {
            int cAns = ouf.nextInt();
            int jAns = ans.nextInt();
            if (cAns != jAns) {
                return new Outcome(Outcome.Type.WA, 
                                   String.format("expected for line %d: %d, found: %d", i + 1, jAns, cAns));
            }
        }
        return new Outcome(Outcome.Type.OK, String.format("%d numbers", m));
    }
}
