#include <cstdio>
#include <iostream>
#include <vector>
#include <cassert>
#include <algorithm>
using namespace std;

int main() 
{
    freopen("swap.in", "r", stdin);
    freopen("swap.out", "w", stdout);
    int n, m;
    cin >> n >> m;
    assert(n <= 1000 && m <= 1000);
    vector<int> a(2 * n);
    for (int i = 0; i < 2 * n; i++)
        a[i] = i;
    int answer = n;
    for (int i = 0; i < m; i++)
    {
        int x, y;
        cin >> x >> y;
        x--;
        y--;
        swap(a[x], a[y]);
        if (x > y)
            swap(x, y);
        if (x < n && y >= n)
        { 
            if (a[x] < n && a[y] >= n)
                answer++;
            if (a[x] >= n && a[y] < n)
                answer--;
        }
        cout << answer << endl;
        /*for (int i = 0; i < 2 * n; i++)
            cout << a[i] << ' ';
        cout << endl;*/
        assert(answer >= 0 && answer <= n);
    }
    return 0;
}