#include<iostream>
#include<cstdio>
#include<cassert>
#include<cmath>
#include<ctime>
#include<algorithm>
#include<vector> 
#include<cstring>
#include<string>
#include<map>
#include<set>

#define mp make_pair
#define scn second
#define frs first
#define pb push_back

#define NAME "trap"

using namespace std;
typedef unsigned long long ull;
typedef long long ll;
typedef pair<ll, int> pi;
const int P = 239017;
const ll INF = 1000000000ll * 1000000000;
const int MAX = 2000 + 10;
const double eps = 1e7;
int n, v1, v2, s, k;
int a[100000], x[1000000];

int main() {
    freopen(NAME ".in", "r", stdin); 
    freopen(NAME ".out", "w", stdout); 
    scanf("%d%d%d%d%d", &n, &k, &v1, &v2, &s);
    for (int i = 0; i < n; ++i)
      scanf("%d%d", &x[i], &a[i]);
    if (s == 0) {
        printf("0");
        return 0;
    }
    if (v1 >= v2) {
        printf("inf");
        return 0;
    }
    double p = 0;
    int r = 0;
    while (r < n && s > x[r])
        ++r;
    double t = 0;
    set<pair<int, int> > q;
    while (k > 0) {
        for (int &i = r; i < n; ++i) {
            if (!((x[i] - s) * 1.0 / v1 < (x[i]*1.0 - p) / v2))
                break;
            q.insert(mp(-a[i], i));
        }
        --k;
        pair<int, int> w = *(q.begin());
        int e = -w.first;
        p -= e * v2;
        q.erase(w);
    }

    printf("%.10lf", (s - p) / (v2 - v1));
    return 0;
}
