#include <sstream>
#include <vector>
#include <algorithm>
#include <cstring>
#include <cstdlib>
#include <iostream>
#include <string>
#include <cassert>
#include <ctime>
#include <map>
#include <math.h>
#include <cstdio>
#include <set>
#include <deque>
#include <memory.h>
#include <queue>

#pragma comment(linker, "/STACK:50000000")
typedef long long ll;

using namespace std; 

const int maxn = 1 << 18;
const int inf = 1e9;
const int mod = 1e9 + 7;

int n, k;
int a[maxn], l[maxn], r[maxn];


int main() {
    freopen("xor.in", "r", stdin);
    freopen("xor.out", "w", stdout);

    cin >> n >> k;
    assert(n <= 500 && k <= 100);
    for (int i = 0; i < n; i++) cin >> a[i];
    for (int i = 0; i < k; i++) cin >> l[i] >> r[i];

    vector<vector<int> > dp(n + 1, vector<int>(k + 1));
    dp[0][0] = 1;
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < k; j++) if (dp[i][j]) {
            int cur = 0;
            for (int o = i; o < n; o++) {
                cur ^= a[o];
                if (l[j] <= cur && cur <= r[j]) {
                    dp[o + 1][j + 1] = (dp[o + 1][j + 1] + dp[i][j]) % mod;
                }
            }
        }
    }
    cout << dp[n][k] << endl;

    return 0;
}